### List

Category

Structuring

Function

Creates a list.

Syntax

    list = List(object1, object2,...]);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object1` | value, value list, or string list | no default | list item
object2, ... | ... | ... | more list items to concatenate

Outputs

Name | Type | Description
--- | --- | ---
`list` | value list or string list | the list of objects

Functional Details

This module creates a list from specified objects, which can be single values, strings or lists themselves. The objects specified (`object1, object2, ...`) must all be the same type or be convertible to the same type. The output `list` is a list of the concatenated items.

To select items from the list, use the Select module.

A maximum of 21 objects can be concatenated with single call to the List module. In the user interface, the default number of enabled `string` tabs is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

Example Visual Programs

    AnnotationGlyphs.net
    ContoursAndCaption.net
    MappedIso.net
    PlotTwoLines.net
    UsingAttributes.net

See Also

Select, Enumerate

[ OpenDX Home at IBM | OpenDX.org ]